<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Refjenisikan extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mjenisikan');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $refjenisikan = $this->Mjenisikan->get_all();

        $data = array(
            'refjenisikan_data' => $refjenisikan
        );

        $this->template->load('blank','refjenisikan/Refjenisikan_list', $data);
    }

    

    public function create() 
    {
        $data = array(
            'button'    => 'Form Tambah',
            'action'    => site_url('refjenisikan/create_action'),
            'id_inc'    => set_value('id_inc'),
            'nm_jenis'  => set_value('nm_jenis'),
            'ms_kat_id' => set_value('ms_kat_id'),
            'kategori'=> $this->Mjenisikan->getKategori()
	);
        $this->template->load('blank','refjenisikan/Refjenisikan_form', $data);
    }
    
    public function create_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
		'nm_jenis' => $this->input->post('nm_jenis',TRUE),
		'ms_kat_id' => $this->input->post('ms_kat_id',TRUE),
	    );

           $this->Mjenisikan->insert($data);
            
            redirect(site_url('refjenisikan'));
        }
    }
    
    public function update($id) 
    {
        $row = $this->Mjenisikan->get_by_id($id);

        if ($row) {
            $data = array(
                'button'    => 'Form Edit',
                'action'    => site_url('refjenisikan/update_action'),
                'id_inc'    => set_value('id_inc', $row->id_inc),
                'nm_jenis'  => set_value('nm_jenis', $row->nm_jenis),
                'ms_kat_id' => set_value('ms_kat_id', $row->ms_kat_id),
                'kategori'  => $this->Mjenisikan->getKategori()
	    );
            $this->template->load('blank','refjenisikan/Refjenisikan_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refjenisikan'));
        }
    }
    
    public function update_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id_inc', TRUE));
        } else {
            $data = array(
		'nm_jenis' => $this->input->post('nm_jenis',TRUE),
		'ms_kat_id' => $this->input->post('ms_kat_id',TRUE),
	    );

            $this->Mjenisikan->update($this->input->post('id_inc', TRUE), $data);
            
            redirect(site_url('refjenisikan'));
        }
    }
    
    public function delete($id) 
    {
        $row = $this->Mjenisikan->get_by_id($id);

        if ($row) {
            $this->Mjenisikan->delete($id);
            
            
            redirect(site_url('refjenisikan'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refjenisikan'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('nm_jenis', 'jenis', 'trim|required');
	$this->form_validation->set_rules('ms_kat_id', 'kategori', 'trim|required');

	$this->form_validation->set_rules('id_inc', 'id_inc', 'trim');
	$this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }

}

/* End of file Refjenisikan.php */
/* Location: ./application/controllers/Refjenisikan.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-12-02 14:45:24 */
/* http://harviacode.com */